{% extends 'admin/base.html.twig' %}
{% block body %}
    <form>
        <label>Kde? <select id="location" onchange="change()">
            {%- for opt in locations -%}
                <option{% if opt == selected %} selected{% endif %}>{{ opt }}</option>
            {%- endfor -%}
        </select></label>
        <br/>
        <label>Čo? <input id="admin_status" type="text"></label>
        <br/><br/>
        <button type="button" onclick="update()">Ano</button>
    </form>
    <h2><a id="back_link" href="{{ path('main', {'location': selected}) }}">Ukáž, ako to vyzerá</a></h2>
{% endblock %}

{% block javascripts %}
    <script>
        function update()
        {
            let location = document.getElementById('location').value;
            let adminStatus = document.getElementById('admin_status').value;
            let url = '{{ updateUrl }}'.replace('xx_xx', location);

            fetch(url, {
                method: 'POST',
                headers: {
                    'Content-Type': 'application/json',
                },
                body: JSON.stringify({
                    adminStatus: adminStatus === '' ? null : adminStatus,
                }),
            });
        }

        function change()
        {
            let location = document.getElementById('location').value;
            let url = '{{ readUrl }}'.replace('xx_xx', location);
            let backUrl = '{{ backUrl }}'.replace('xx_xx', location);

            document.getElementById('back_link').setAttribute('href', backUrl);

            fetch(url)
                .then((response) => response.json())
                .then((data) => document.getElementById('admin_status').value = data.adminStatus);
        }

        document.body.onload = () => change();
    </script>
{% endblock %}